server {
    listen 30004;
    server_name localhost;
    gzip on;
    gzip_min_length 1k;
    gzip_vary on;
    gzip_types  text/plain application/javascript application/x-javascript text/css application/xml text/javascript application/x-httpd-php image/jpeg image/gif image/png applicatio                     n/vnd.ms-fontobject font/ttf font/opentype font/x-woff image/svg+xml;
    location /api {
        proxy_pass http://127.0.0.1:61004;
        add_header Access-Control-Allow-Origin *;
        add_header Access-Control-Allow-Methods *;
        if ($request_method = 'OPTIONS') {
            return 204;
          }
        }
        location / {
          root   /mnt/new/site-web;
          index  index.html index.htm;
          try_files $uri $uri/ /index.html;
         }
}
